<?php

class Candidatura_model extends CI_Model {

    public function add_candidatura($data) {

        $data['data-nascimento'] = $data['data-nascimento-dia'] . '/' . $data['data-nascimento-mes'] . '/' . $data['data-nascimento-ano'];
        $data['disponibilidade'] = $data['disponibilidade-dia'] . '/' . $data['disponibilidade-mes'] . '/' . $data['disponibilidade-ano'];
        $data['experiencia-prof'] = 'De: '.$data['experiencia-prof-de-ano'] . '/' . $data['experiencia-prof-de-mes'] . ' Até: '
                .$data['experiencia-prof-ate-ano'] . '/' . $data['experiencia-prof-ate-mes'];
        
        
        unset($data['experiencia-prof-de-ano']);
        unset($data['experiencia-prof-de-mes']);
        unset($data['experiencia-prof-ate-ano']);
        unset($data['experiencia-prof-ate-mes']);
        
        unset($data['data-nascimento-ano']);
        unset($data['data-nascimento-mes']);
        unset($data['data-nascimento-dia']);
        
        unset($data['disponibilidade-ano']);
        unset($data['disponibilidade-mes']);
        unset($data['disponibilidade-dia']);
        
        unset($data['userfile']);
        
        return $this->db->insert('candidatura', $data);
    }

}
?>

